Bug 153850 - net-im/climm: does not build with XMPP
net-im/climm: does not build with XMPP
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Johan van Selst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-10 15:50 UTC by anatoly.borodin
Modified: 2011-01-10 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description anatoly.borodin 2011-01-10 15:50:08 UTC
net-im/climm fails to build when XMPP option selected. It builds otherwise.

How-To-Repeat: # cd /usr/ports/net-im/climm; make config;make showconfig
===> The following configuration options are available for climm-0.7.1_1:
     LIBICONV=on "Iconv character set conversion"
     P2P=on "Peer2peer connection support"
     TCL=on "TCL scripting support"
     OTR=on "OTR encryption support"
     REMOTE=on "Remote control fifo support"
     XMPP=on "XMPP Jabber support"
===> Use 'make config' to modify these settings
# make clean; make
===>  Cleaning for climm-0.7.1_1
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for climm-0.7.1_1
===>  Extracting for climm-0.7.1_1
=> SHA256 Checksum OK for climm-0.7.1.tgz.
===>  Patching for climm-0.7.1_1
===>   climm-0.7.1_1 depends on executable: pkg-config - found
===>   climm-0.7.1_1 depends on executable: gmake - found
===>   climm-0.7.1_1 depends on shared library: otr - found
===>   climm-0.7.1_1 depends on shared library: tcl85 - found
===>   climm-0.7.1_1 depends on shared library: iksemel - found
===>   climm-0.7.1_1 depends on shared library: gnutls - found
===>   climm-0.7.1_1 depends on shared library: gcrypt - found
===>   climm-0.7.1_1 depends on shared library: gpg-error - found
===>   climm-0.7.1_1 depends on shared library: iconv.3 - found
===>  Configuring for climm-0.7.1_1
checking build system type... i386-portbld-freebsd8.2
checking host system type... i386-portbld-freebsd8.2
checking for automake-1.9... no
checking for aclocal-1.9... no
checking for autoheader... autoheader
checking for autoconf... autoconf
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/local/bin/gmkdir -p
checking for gawk... gawk
checking whether gmake sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by gmake... GNU
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking dependency style of cc... gcc3
checking whether cc understands -c and -o together... yes
checking for ranlib... ranlib
checking whether ln -s works... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for inet_ntoa... yes
checking for getpeername... yes
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/wait.h usability... yes
checking sys/wait.h presence... yes
checking for sys/wait.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for unistd.h... (cached) yes
checking for strings.h... (cached) yes
checking sys/utsname.h usability... yes
checking sys/utsname.h presence... yes
checking for sys/utsname.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking utmp.h usability... yes
checking utmp.h presence... yes
checking for utmp.h... yes
checking utmpx.h usability... no
checking utmpx.h presence... no
checking for utmpx.h... no
checking values.h usability... no
checking values.h presence... no
checking for values.h... no
checking resolv.h usability... no
checking resolv.h presence... yes
configure: WARNING: resolv.h: present but cannot be compiled
configure: WARNING: resolv.h:     check for missing prerequisite headers?
configure: WARNING: resolv.h: see the Autoconf documentation
configure: WARNING: resolv.h:     section "Present But Cannot Be Compiled"
configure: WARNING: resolv.h: proceeding with the compiler's result
checking for resolv.h... no
checking arpa/nameser.h usability... yes
checking arpa/nameser.h presence... yes
checking for arpa/nameser.h... yes
checking for LIBGNUTLS... yes
checking for libgcrypt-config... /usr/local/bin/libgcrypt-config
checking for LIBGCRYPT - version >= 1.2.0... yes
checking LIBGCRYPT API version... okay
checking gcrypt.h usability... yes
checking gcrypt.h presence... yes
checking for gcrypt.h... yes
checking for gnutls_dh_params_generate2... yes
checking for libotr CFLAGS... 
checking for libotr LIBS...  -lotr
checking for libotr headers version 3.x >= 3.0.0... found.
checking for otrl_message_receiving in -lotr... yes
checking tcl8.5/tcl.h usability... yes
checking tcl8.5/tcl.h presence... yes
checking for tcl8.5/tcl.h... yes
checking for library containing Tcl_CreateInterp... -ltcl85
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for iconv declaration... install-shextern size_t iconv (iconv_t cd, const char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for iconv() fallbacks to compile in... 
checking for FIFO functionality... yes
checking for IKS... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for size_t... yes
checking whether time.h and sys/time.h may both be included... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking whether cc needs -traditional... no
checking return type of signal handlers... void
checking for struct tm.tm_zone... yes
checking for timezone external... no
checking for tm_gmtoff member... yes
checking for vprintf... yes
checking for _doprnt... no
checking for snprintf... yes
checking for vsnprintf... yes
checking for working snprintf... yes
checking for working vsnprintf... yes
checking for memmove... yes
checking for working memmove... yes
checking for mkdir... yes
checking for atexit... yes
checking for strcasecmp... yes
checking for strchr... yes
checking for memchr... yes
checking for strdup... yes
checking for strncasecmp... yes
checking for strpbrk... yes
checking for strrchr... yes
checking for strstr... yes
checking for strtol... yes
checking for localtime_r... yes
checking for timegm... yes
checking for timelocal... yes
checking for memcmp... yes
checking for uname... yes
checking for fcntl... yes
checking for strchr... (cached) yes
checking for strtok_r... yes
checking for symlink... yes
checking for chmod... yes
checking for tcgetattr... yes
checking for gettimeofday... yes
checking for setlocale... yes
checking for select... yes
checking for sigprocmask... yes
checking for memset... yes
checking for wcwidth... yes
checking for iswalnum... yes
checking for iswspace... yes
checking for nl_langinfo... yes
checking for atoll... yes
checking for getpwuid... yes
checking for getuid... yes
checking for fsync... yes
checking for getutent... no
checking for getutxent... no
checking for res_query in -lresolv... no
checking for __res_query in -lresolv... no
checking for select... (cached) yes
checking for socket... yes
checking for gethostbyname... yes
checking for hstrerror... yes
checking for ioctlsocket... no
checking whether h_errno is declared... yes
checking for wchar_t... yes
checking for wint_t... no
checking for socklen_t... yes
checking for BOOL... no
checking for UBYTE... no
checking for UWORD... no
checking for UDWORD... no
checking whether byte ordering is bigendian... no
checking size of char... 1
checking size of short... 2
checking size of int... 4
checking size of long... 4
checking checking for variadic macro support... yes
checking whether to enable XMPP chat network... yes
checking whether to enable Oscar peer to peer connections... yes
checking whether to enable scripting FIFO... yes
checking whether to enable Tcl scripting... yes
checking whether to enable SSL/TLS support... gnutls
checking whether to enable OTR support... yes
configure: creating ./config.status
config.status: creating src/Makefile
config.status: creating Makefile
config.status: creating lang/Makefile
config.status: creating doc/Makefile
config.status: creating include/config.h
config.status: executing depfiles commands
===>  Building for climm-0.7.1_1
Making all in src
gmake[1]: Entering directory `/usr/obj/usr/ports/net-im/climm/work/climm-0.7.1/src'
gmake[1]: *** No rule to make target `-L/usr/local/lib', needed by `all-am'.  Stop.
gmake[1]: Leaving directory `/usr/obj/usr/ports/net-im/climm/work/climm-0.7.1/src'
gmake: *** [all-recursive] Error 1
*** Error code 1

Stop in /usr/ports/net-im/climm.
*** Error code 1

Stop in /usr/ports/net-im/climm.
Comment 1 Edwin Groothuis freebsd_committer 2011-01-10 15:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2011-01-10 16:48:37 UTC
Anatoly Borodin <anatoly.borodin@gmail.com> writes:

> ===>  Building for climm-0.7.1_1
> Making all in src
> gmake[1]: Entering directory `/usr/obj/usr/ports/net-im/climm/work/climm-0.7.1/src'
> gmake[1]: *** No rule to make target `-L/usr/local/lib', needed by `all-am'.  Stop.
> gmake[1]: Leaving directory `/usr/obj/usr/ports/net-im/climm/work/climm-0.7.1/src'
> gmake: *** [all-recursive] Error 1
> *** Error code 1

Automake wants paths to libraries in noinst_LIBRARIES, not ld(1) flags.
The port uses system textproc/iksemel instead of WRKSRC/iksemel-1.4,
so we can just ignore noinst_.

--- a.diff begins here ---
Index: net-im/climm/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-im/climm/Makefile,v
retrieving revision 1.79
diff -u -p -r1.79 Makefile
--- net-im/climm/Makefile	27 Jul 2010 01:25:19 -0000	1.79
+++ net-im/climm/Makefile	10 Jan 2011 16:47:39 -0000
@@ -79,6 +79,7 @@ LIB_DEPENDS+=		iksemel:${PORTSDIR}/textp
 .endif
 
 post-patch:
+	@${REINPLACE_CMD} '/^noinst_LIBRARIES/d' ${WRKSRC}/src/Makefile.in
 	@${REINPLACE_CMD} -e '/^SUBDIRS =/s/ doc//' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e '/ac_lib/s/tcl8\./tcl8/g' \
 		-e '/libgnutls_config_version=/s/--version/--modversion/' \
--- a.diff ends here ---
Comment 3 dfilter freebsd_committer 2011-01-10 22:12:01 UTC
johans      2011-01-10 22:11:56 UTC

  FreeBSD ports repository

  Modified files:
    net-im/climm         Makefile 
  Log:
  Fix compilation with XMPP option
  
  PR:             ports/153850
  Submitted by:   Anatoly Borodin <anatoly.borodin@gmail.com>
  
  Revision  Changes    Path
  1.80      +1 -0      ports/net-im/climm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Johan van Selst freebsd_committer 2011-01-10 22:12:31 UTC
State Changed
From-To: open->closed

Committed, thanks.